Last Comment Bug 524026 - Fix "Warning: package error or possible missing or unnecessary file: bin/gksvggdiplus.dll (packages, 56)"
: Fix "Warning: package error or possible missing or unnecessary file: bin/gksv...
Status: VERIFIED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: x86 Windows 2000
: -- trivial (vote)
: seamonkey2.1a1
Assigned To: Serge Gautherie (:sgautherie)
:
Mentors:
Depends on:
Blocks: 495612
  Show dependency treegraph
 
Reported: 2009-10-22 20:08 PDT by Serge Gautherie (:sgautherie)
Modified: 2009-10-23 18:10 PDT (History)
0 users
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
(Av1) Don't package obsolete file (745 bytes, patch)
2009-10-22 20:13 PDT, Serge Gautherie (:sgautherie)
no flags Details | Diff | Review
(Av1a) Don't package obsolete file [Checkin: Comment 4] (1.81 KB, patch)
2009-10-23 03:24 PDT, Serge Gautherie (:sgautherie)
kairo: review+
kairo: approval‑seamonkey2.0.1-
Details | Diff | Review

Description Serge Gautherie (:sgautherie) 2009-10-22 20:08:54 PDT
This file existed in Gecko 1.8.x only.

Bug 495612 added it to 'removed-files.in',
but missed to remove it from 'packages'.
Comment 1 Serge Gautherie (:sgautherie) 2009-10-22 20:13:02 PDT
Created attachment 407934 [details] [diff] [review]
(Av1) Don't package obsolete file

Fix warning on trunk and 2.0.1 too.
Comment 2 Serge Gautherie (:sgautherie) 2009-10-23 03:24:48 PDT
Created attachment 407970 [details] [diff] [review]
(Av1a) Don't package obsolete file
[Checkin: Comment 4]

Av1, plus actually removing the file for '#ifndef MOZ_STATIC_BUILD' too.
Comment 3 Robert Kaiser (not working on stability any more) 2009-10-23 05:34:06 PDT
Comment on attachment 407970 [details] [diff] [review]
(Av1a) Don't package obsolete file
[Checkin: Comment 4]

I don't see a need to land this on 1.9.1, we can live with a bogus warning.
Comment 4 Serge Gautherie (:sgautherie) 2009-10-23 11:52:56 PDT
Comment on attachment 407970 [details] [diff] [review]
(Av1a) Don't package obsolete file
[Checkin: Comment 4]


http://hg.mozilla.org/comm-central/rev/1bbcbe25856e
Comment 5 Serge Gautherie (:sgautherie) 2009-10-23 18:10:03 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1256329759.1256335574.4468.gz&fulltext=1
WINNT 5.2 comm-central-trunk build on 2009/10/23 13:29:19

V.Fixed.

Note You need to log in before you can comment on or make changes to this bug.